% !TEX encoding = UTF-8 Unicode
\documentclass[a4paper,11pt,twoside]{article}

% SSA LaTeX suggestions:
% https://www.seismosoc.org/publications/latex-suggestions/

\include{formatting}   % stick all of the LaTeX formatting into a separate file


%------------------------------------------------------------------------------
%	TITLE & AUTHORS & AFFILIATIONS
%------------------------------------------------------------------------------

\title{Résif-SI: a distributed information system for French seismological data}

% "Core author" en ordre de contribution
\author[1]{Catherine Péquegnat}
\author[2]{Jonathan Schaeffer}
\author[3,*]{Claudio Satriano}
\author[1,2]{Helle Pedersen}
\author[1]{Jérôme Touvier}
\author[3]{Jean-Marie Saurel}
% COPIL -- en ordre alphabétique
\author[4]{Marie Calvet}
\author[1,2]{Laurent Stehly}
% COMTEC -- ordre alphabétique
\author[5]{Patrick Arnoul}
\author[2]{Philippe Bollard}
\author[6]{Olivier Dewée}
\author[7]{Fabien Engels}
\author[7]{Marc Grunberg}
% \author[8]{Christophe Maron}
\author[3]{Constanza Pardo}
\author[2]{David Wolyniec}
% CDD Résif-SI -- ordre alphabétique
\author[1]{Grégory Arneodo}
\author[1]{Rima Bouazzouz}
\author[3]{Olivier Geber}
% Ingénieurs Noeuds-A (hors COMTEC)
\author[1]{Coralie Aubert}
\author[1]{Mickaël Langlais}
\author[1]{Sandrine Roussel}
% Resp. Scientifiques Noeuds A
\author[1,2]{Florent Brenguier}
\author[3]{Wayne C Crawford}
\author[3]{Arnaud Lemarchand}
\author[1,2]{Emeline Maufroy}
\author[5]{Serge Olivier}
\author[8]{Diane Rivet}
\author[3]{Martin Vallée}
\author[9]{Jérôme Vergne}
% Anciens -- ordre alphabétique
\author[8]{Jérôme Chèze}
\author[10]{Éric Debayle}
\author[8]{Bertrand Delouis}
\author[1]{Philippe Guéguen}
% \author[5,+]{Jocelyn Guilbert}
\author[9]{Sophie Lambotte}
\author[11]{Antoine Mocquet}
\author[1]{Anne Paul}
\author[8]{Fabrice Peix}
\author[5]{François Schindelé}
\author[1]{Nikolai Shapiro}
\author[3]{Éléonore Stutzmann}
\author[1]{Pierre Volcke}
% Dir. Résif
\author[1,2]{Andrea Walpersdorf}



\affil[1]{Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre, 38000 Grenoble, France}
\affil[2]{Univ. Grenoble Alpes, Irstea, CNRS, IRD, Météo France, OSUG, 38000 Grenoble, France}
\affil[3]{Université de Paris, Institut de physique du globe de Paris, CNRS, F-75005 Paris, France}
\affil[4]{Institut de Recherche en Astrophysique et Planétologie, Université Toulouse III Paul Sabatier, CNRS, CNES, Toulouse, France}
\affil[5]{CEA/DAM/DIF, F-91297 Arpajon, France}
\affil[6]{Division Technique de l'INSU, Meudon, France}
\affil[7]{Université de Strasbourg, CNRS, EOST UMS 830, 67000, Strasbourg, France}
\affil[8]{Université Côte d'Azur, CNRS, IRD, Observatoire de la Côte d'Azur, Géoazur, Valbonne, France}
\affil[9]{Université de Strasbourg, CNRS, IPGS UMR7516, 67000, Strasbourg, France}
\affil[10]{Laboratoire de Géologie de Lyon : Terre, Planètes, Environnement, CNRS, UMR 5276, École Normale Supérieure de Lyon, Université de Lyon, Université Claude Bernard Lyon 1, Villeurbanne, France}
\affil[11]{Laboratoire de Planétologie et de Géodynamique, Université de Nantes, Université d'Angers, UMR‐CNRS 6112, Nantes, France}
% \affil[+]{Deceased on August 21, 2016}

\pagestyle{fancy}
\fancyhf{}
\fancyhead[LE,RO]{Péquegnat et al.}
\fancyhead[RE,LO]{Résif-SI: a distributed information system for French seismological data}
\fancyfoot[RE,LO]{Postprint from \emph{Seismological Research Letters}}
\fancyfoot[LE,RO]{\thepage}

\begin{document}

\begin{singlespace}
%\nolinenumbers

\maketitle
\thispagestyle{empty}


\hfill

\begin{flushleft}

Article published on Seismological Research Letters, doi:
\href{https://doi.org/10.1785/0220200392}{10.1785/0220200392}

%------------------------------------------------------------------------------
%	MAILING ADDRESS & CORRESPONDING AUTHOR INFO
%------------------------------------------------------------------------------

\vspace{10mm}
$^{*}$\textbf{Corresponding Author}\\
\vspace{2ex}
Claudio Satriano\\
Université de Paris, Institut de physique du globe de Paris, CNRS\\
1 rue Jussieu, F-75005 Paris, France\\
email: \email{satriano@ipgp.fr}

%------------------------------------------------------------------------------
%	KEYWORDS
%------------------------------------------------------------------------------

\vfill
\textbf{Keywords}: seismological data; data management; data access; France\\

\vspace{3ex}
\today, \currenttime

\end{flushleft}

\end{singlespace}

%------------------------------------------------------------------------------
%	ABSTRACT
%------------------------------------------------------------------------------

\newpage
%\linenumbers

\section*{Abstract}

The Résif project, which started in 2008, aims at gathering under a common
research infrastructure the French seismological, Global Navigation Satellite
Systems and gravimeter permanent networks, as well as the mobile instrument
pools. A central part of Résif is its seismological information system, Système
d'Information de Résif (Résif-SI) (started in 2012), which is in charge of
collecting, validating, archiving, and distributing seismological data and
metadata from seven national centers. Résif-SI follows a distributed
architecture, in which the six data collection and validation centers (A-nodes)
send validated data and metadata to a national data center (Résif Data Center
[Résif-DC]), which is the central point for data archiving and distribution.
Résif-SI is based on international standard formats and protocols, and is fully
integrated into European and international data exchange systems (European
Integrated Data Archive, European Plate Observing System [EPOS], Incorporated
Research Institutions for Seismology, International Federation of Digital
Seismograph Networks). In this article, we present the organization of
Résif-SI, the technical details of its implementation, and the catalog of
services provided to the end users. The article is aimed both at seismologists,
who want to discover and use Résif data, and at data center operators, who
might be interested in the technical choices made in the implementation of
Résif-SI. We believe that Résif-SI can be a model for other countries facing
the problem of integrating different organizations into a centralized
seismological information system.

%------------------------------------------------------------------------------
%	Introduction
%------------------------------------------------------------------------------

\newpage
\section*{Introduction}

Réseau sismologique et géodésique français – French seismological and
geodetical network (Résif, see \nameref{sec:data_and_resources}) started as a
project in 2008, with the aim of grouping into a single research infrastructure
all the major national and regional seismic, the Global Navigation Satellite
Systems (GNSS), and gravimeter permanent networks and mobile pools in France.
Hand in hand with this objective was to improve and rationalize the data
distribution system. GNSS data from all Résif partners are distributed from the
national Résif data center for GNSS data \citep{RESIF-RENAG}, which also hosts
the EPOS GNSS data gateway, whereas, the Résif data from permanent gravimeters
are directly integrated into dedicated international data centers
\citep{IGETS}. In this article, we focus on the seismological part of the Résif
information system (Résif-SI), for which the architecture, technical
implementation, and governance structure has proven to be adequate, to address
data distribution through a coordinated national cooperative. The present
article refers to seismic waveform data and metadata: Higher-level earthquake
products in France are now also being integrated into Résif, as discussed in
\citet{Masson2021}.

Prior to Résif, French seismic waveform data was distributed from five
institutions:
\begin{itemize}
    \item Commissariat à l’énergie atomique et aux énergies alternatives (CEA),
    commissioned by the French ministry of the interior to establish earthquake
    alerts toward the national authorities, operated (and still operates) a
    dedicated seismic network with high-availability data transmission
    \citep{CEA_network,Network:RD}. Data from this network were available
    through direct cooperation with CEA.

    \item ISTerre (then Laboratoire de Géophysique Interne et Tectonophysique
    [LGIT]) in Grenoble distributed data from the national strong-motion
    network \citep[RAP --][]{Network:RA} via the RAP National Data Centre
    \citep[RAP-NDC --][]{Pequegnat2008}. ISTerre also ensured national
    distribution of data from temporary seismic deployments using the national
    instrument pool, but most research laboratories also ran their own, smaller
    instrument pools.

    \item Institut de physique du globe de Paris (IPGP) distributed data from
    the GEOSCOPE network \citep{Network:G}, via the GEOSCOPE data center, with
    a historical strong role of GEOSCOPE in the promotion of open data
    distribution at a worldwide level \citep{GEOSCOPE_datacenter}. IPGP also
    operates three seismic networks in the Antilles
    \citep{Network:WI,Network:GL,Network:MQ} and one in Reunion Island
    \citep{Network:PF}, and those datasets were at the time planned for
    integration in the IPGP data distribution.

    \item Géoazur and École et Observatoire des Sciences de la Terre (EOST):
    The metropolitan French broadband and short-period data were loosely
    integrated in a national cooperation related to long-term Earth
    observations, but each regional network was operated independently, with no
    joint instrumentation policy, and distributed mainly by these two
    institutions.
\end{itemize}

The principle of transparent access to data through the common international
distribution tool \texttt{netdc} \citep{netdc} was agreed as a common goal,
through an additional transparent layer to a virtual data center, Fédération de
l'Observation Sismologique Française (FOSFORE) \citep{FOSFORE}. Practically,
the national French broadband network was underperforming, for a lack of
sufficient station coverage and homogeneous instrumentation policy. In
addition, the difference in technical implementation of data and metadata
distribution, data holdings and data center availability between the five
locations meant that the federated approach, in practice, needed to evolve to a
new system.

When Résif was created as a concept, it moved under the direct supervision of
the French Ministry of higher education and research, and integrated 18
organizations into a national consortium, which was signed in 2011. As a first
success of this coordination effort, Résif obtained the funding (9.3 M\euro{},
with, approximately, the same amount committed by the partners in terms of
staff time) for a project with four main components: The construction of a
national broadband network; the extension and renewal of the GNSS network, and
of the different mobile pools; the creation of a national Résif information
system. The constraints from labor policies and civil servants meant that the
permanent staff would transfer without relocation from the old system to the
new, with additional temporary staff provided to accompany the changes.

The result of this effort is presented in this article. The architecture of the
Résif information system \citep[French: système d'information, hereinafter
Résif-SI, ][]{seismology_resif_fr} is fully distributed, matching the
distributed architecture of the French seismic networks, which relies on CEA
and on regional operators (mainly observatories hosted at universities, and
with strong Centre National de la Recherche Scientifique [CNRS] involvement)
for production and validation of data and metadata. These operators, through
the so called "A-nodes", have full responsibility of pushing data and metadata
into the data distribution center, via an automated procedure that allows for
regular updates and automatic replacement in the data bases, as instruments are
replaced, errors (timing, instrument responses, etc.) are corrected, and data
gaps are filled. The system is, at the same time, fully integrated, with a
national management team (Executive Committee), a technical board, which meets
monthly and which adopts joint technical solutions, a single national data
distribution facility (hosted by the University of Grenoble), and a coordinated
participation in international and European and collaborative instances, such
as International Federation of Digital Seismograph Networks (FDSN, see
\nameref{sec:data_and_resources}), and Observatories and Research Facilities
for European Seismology (ORFEUS; see \nameref{sec:data_and_resources}). In
particular, the national data distribution facility is a part of the European
Integrated Data Archive (EIDA) federation, a service within ORFEUS that gives
federated access to data from European data centers. The EIDA is described in
\cite{Strollo2021}.

Résif-SI has provided, within the constraints given, remarkable results, with
a stable and high-quality data distribution and a full integration into the
international collaborations. The data holdings and download statistics are on
par with other large data centers in Europe.

We believe that the Résif-SI implementation can be a model for countries that
face the challenge of regrouping observation networks and data distribution,
and, particularly, not only those countries where the need for regional and
institutional visibility and independence remain strong, but also where each
institution alone does not have critical mass for running a high-availability
data center.

The article is structured as follows: we start describing the overall
\nameref{org-resif}, for then discussing the \nameref{sec:datamanagement} and,
in particular, the technical choices behind the Résif-SI data center and how
they have been functional to integrate Résif-SI into the international data
exchange systems. The \nameref{sec:newdevs} section illustrates four areas
(large-N experiments, marine data, building and infrastructural monitoring, and
a StationXML metadata editor) for which Résif-SI is at the forefront of current
development in seismological data management. We conclude by presenting the
upcoming challenges and the strategy to meet them in the
\nameref{sec:conclusion} section. The \nameref{sec:dataaccess} section is
provided with details and practical examples on the different ways to access
Résif-SI data.


%------------------------------------------------------------------------------
%	Structure of Résif-SI
%--------------------------------------------------------------------------

\section*{Organizational structure of Résif-SI}
\label{org-resif}
Résif-SI archives and publishes seismological data from 11 permanent networks
and, approximately, 70 temporary networks (Fig.~\ref{fig:atlas}).

\begin{figure}[ht!]
    \centering
    \includegraphics[width=\textwidth]{figures/figure01.pdf}
    %
    \caption{Seismic stations distributed by Résif-SI worldwide, in
    metropolitan France and in overseas Réunion and Lesser Antilles regions
    (location of these regions is indicated by the red boxes on the world map).
    Symbols and colors according to the network; number of stations for each
    network indicated in parentheses (see Table \ref{tab:anodes} for details on
    the network codes). The ``Temp.'' label includes all temporary deployments
    (land mobile instrument pool SISMOB and ocean bottom seismometer instrument
    pool). The three pink boxes on the ``Réunion'' map are deployments of 100
    sensors each \citep[see][]{Brenguier2015}. Note that the maps do not show
    all the Résif-SI data holdings worldwide and other stations are available
    from permanent or temporary deployments in Europe, Chile and Pacific Ocean.
    Note also that the maps include stations which are temporary or
    definitively closed.}
    %
    \label{fig:atlas}
\end{figure}

Seismological data and metadata are collected and validated by six centers run
by Résif partners which are called "A-nodes" (Fig.~\ref{fig:RESIF-SI_scheme}),
which are also responsible to secure a copy of the data for two years. The data
and metadata are then transmitted to the Résif seismological Data Centre
(Résif-DC, also called the "B-node") hosted by the University of Grenoble Alpes
for archiving (storage and remote archive) and distribution (services, portal).
Résif-DC is designed and operated by a technical team from ISTerre and from the
Observatoire des Sciences de l'Univers (OSUG). Table \ref{tab:anodes}
illustrates the typology of data available from each of the six operational
A-nodes, whereas Fig.~\ref{fig:dataholdings-b} shows the proportion of data
archived at Résif-DC by type: accelerometric, velocimetric and other. A seventh
A-node, MARINE, operated by IPGP and Observatoire de la Côte d'Azur, is in its
implementation phase, and will collect and validate the data from ocean bottom
seismometers (OBS).

\begin{figure}
    \centering
    \includegraphics[width=\textwidth]{figures/figure02.pdf}
    %
    \caption{Structural architecture of Résif-SI. The A-nodes collect and
    validate data and metadata from permanent and temporary networks. They are
    also responsible to secure a copy of the data for two years. Data and
    metadata are then submitted to the B-node Résif-DC, which is responsible
    for long-term storage and distribution. Résif-DC also computes
    side-products \citep[e.g., Power Spectral Density plots,][]{PSD}, and is
    member of EIDA. Overall interoperability between data from different
    observations within a large part of Solid Earth in Europe is ensured by
    EPOS.}
    %
    \label{fig:RESIF-SI_scheme}
\end{figure}

\begin{table}
{\centering
    \caption{Typology of stations by networks within Résif A-nodes.}
    \label{tab:anodes}
 \begin{tabular}{l|l|rrrrrr}
  \toprule
  \textit{Résif A-node} & \textit{FDSN network codes} & \textit{stations} &  \textit{NRT} &  \textit{BB}   & \textit{SP}  & \textit{SM}  & \textit{Others} \\
  \midrule
    RLBP
    & FR & 167 & 145 & 167 & 6 &  & 3 \\
    & CL & 39 & 15 & 37 & 19 & 4 & 3 \\
    & ND & 10 & 1 & 10 & & 7 &  \\
    & MT & 16 & 10 & 16 & 5 & & 1 \\
  \midrule
    RAP
    & FR & 49 & 39 &  &  & 49 &  \\
    & RA & 232 & 93 &  & & 232 &  \\
  \midrule
    GEOSCOPE
    & G & 54 & 30 & 54 & & 10 & 36 \\
  \midrule
    VOLCANO
    & WI & 15 & 11 & 15 & & 15 &  \\
    & PF &  46 & 36 & 29 & 20 &  &  \\
    & GL & 22 & 9 & 11 & 18 &  &  \\
    & MQ & 14 & 12 & 8 & 8 &  &  \\
  \midrule
    SISMOB
    & 70 temporary network codes & 2482 &  & 1271 & 277 & 63 & 1022 \\
  \midrule
    CEA
    & RD & 19 & 13 & 19 & & 1 &  \\
  \midrule
    {} & \textit{Total} & \textit{3165} & \textit{414} & \textit{1637} & \textit{353} & \textit{381} & \textit{1065}\\
  \bottomrule
\end{tabular}
} %end centering
\small{
%
RLBP: French broadband permanent network (FR) co-hosted by École et
Observatoire des Sciences de la Terre (EOST) and Observatoire de la Côte d'Azur
(OCA); also receives data from partner permanent networks (CL, ND, MT).
%
RAP: Permanent Accelerometric Network (RA, FR), hosted by Observatoire des
Sciences de l'Univers de Grenoble (OSUG).
%
GEOSCOPE: GEOSCOPE Global Observatory (G), hosted by Institut de physique du
globe de Paris (IPGP).
%
VOLCANO: Seismological instruments from the Observatories of Piton de la
Fournaise (Reunion Island, PF), Guadeloupe and Martinique (GL, MQ, WI), hosted
by Institut de physique du globe de Paris (IPGP).
%
SISMOB: Land mobile instruments, hosted by ISTerre; it also receives data from
partner laboratories. Data can be embargoed up to three years after the
experiment start.
%
CEA: CEA broadband stations (RD). \\
%
\textit{NRT: number of stations with at least one near-real time
stream. BB: number of stations with at least one broad band channel (NRT or
not). SP: number of stations with at least one short period channel (NRT or
not). SM: number of stations with at least one accelerometric channel (NRT
or not). Others (NRT or not): tiltmeter, weather, hydrophone, wind,
rotational sensor, mass position, etc. Note that for SISMOB the "Others"
category includes very short period "node" geophones (channel codes
starting with "\texttt{DP}").}
}
%
\end{table}

\begin{wrapfigure}{r}{7cm}
    \centering
    \includegraphics[width=0.5\textwidth]{figures/figure03.pdf}
    %
    \caption{Distribution of data volumes in Résif archive, as of January 1st,
    2021. Velocimetric data represents 62.3\%. Accelerometric data represents
    30.2\%, Data from very short period "node" geophones represents 7.1\% and
    other data, like meteorological time series, accounts for 0.4\%.}
    %
    \label{fig:dataholdings-b}
\end{wrapfigure}

Résif-DC, the national Résif data distribution center, is one of 19 global
centers distributing data and metadata using formats and protocols that comply
with FDSN (see \nameref{sec:data_and_resources}) standards. It is also one of
the 12 nodes of the EIDA (see \nameref{sec:data_and_resources}).

From the very beginning of Résif-SI in 2012, it was defined that the quality of
data and metadata, and their rapid and regular availability was the
responsibility of the A-nodes, whereas the quality and continuity of data
services depended on the national data center. This principle is still at the
core of the organization of Résif-SI, but all of Résif-SI jointly takes action
to continuously improve data and metadata quality


\subsection*{Data and metadata workflows}

A-nodes take care of data validation and production of associated metadata for
the observatories and instruments they are responsible of, according to their
own workflows and objectives of completeness and quality.

Data integration is initiated, managed, and controlled by the A-nodes, which
can add, modify, or replace data and metadata (the removal being under the
control of Résif-DC) at their own discretion and, according to their rhythm, in
an autonomous way. To this purpose, Résif-DC maintains the dedicated tool
\texttt{ResifDataTransfer} \citep{resif_data_transfer}. An important and
explicit rule of Résif-SI is that Résif-DC does not in any way modify the data
or metadata provided by A-nodes. The data and metadata completion and
validation process at A-nodes is iterative. Because A-nodes are responsible for
retaining all raw data collected by any means (including data in proprietary
formats) for, at least, two years, all or part of the processing phases can be
easily reversed, if necessary.

The integration protocol specifies:
\begin{itemize}
    \item the \textit{formats} allowed as input: \textit{miniSEED} \citep{SEED}
    or \textit{PH5} \citep{PH5} for data, \textit{StationXML 1.1}
    \citep{StationXML} for metadata;

    \item the transfer modalities --based on \textit{rsync}  \citep{rsync}
    \textit{push}-- and acknowledgment --based on \textit{rsync get} or a
    \textit{webservice};

    \item the \textit{checks} carried out before the metadata and the data are
    integrated into the database and the data archiving;

    \item the integration modalities: a product submission is a
    \textit{transaction};

    \item the \textit{structure of the integration report }to the partner.
\end{itemize}
The integration controls are implemented at the data center level and have been
jointly specified.

From the point of view of A-nodes, any product submission (simple or complex)
is a transaction, whose characteristics is preserved and can be retrieved by a
webservice. The integration of data and metadata is asynchronous, and the
consistency between them is re-evaluated at the end of each transaction. The
submission of not-yet-described or incompletely described data is allowed, to
secure them as soon as possible and according to the needs of the A-nodes, but
Résif-DC data services do not deliver any data whose metadata are not
available. This workflow is illustrated in Figure~\ref{fig:data_flow}.

\begin{figure}
    \centering
    \includegraphics[width=\textwidth]{figures/figure04.pdf}
    %
    \caption{Technical architecture of Résif-SI. A-nodes collect and validate
    the raw data, manage real-time data flow, edit the metadata and submit them
    to the B-node Résif-DC. Résif-DC concentrates the real-time data flow which
    is used by the national seismic alert system operated by the CEA (on top of
    their own dedicated data flow for the networks they manage), stores data
    and metadata in the long term, distributes it through standardized and
    specific media, develops side-products. Federated into EIDA, open data and
    metadata are accessible by end-users through a federator. }
    %
    \label{fig:data_flow}
\end{figure}

From the point of view of Résif-DC, an integration of data or metadata is a
succession of complex operations carried out by several independent workers
(Fig.~\ref{fig:resifdc}) that communicate with each other via an Advanced
Message Queuing Protocol system \citep{AMQP}. Four databases are populated at
this stage: (1) inventories of networks, stations, channels, and responses; (2)
waveform inventories \citep[PostgreSQL databases,][]{PostgreSQL}; (3) metrics
and data quality information \citep[MongoDB - EIDA WFCatalog
database,][]{MongoDB,WFCatalog}; (4) elements for monitoring the integration
operations (PostgreSQL). Consistency of information within and between
databases (1), (2), and (3) is guaranteed by construction. Data are archived in
a SeisComP Data Structure (SDS) structure \citep[][if miniSEED data]{SDS}  or
as HDF5 record \citep[][if PH5 data]{HDF5}.

\begin{figure}
    \centering
    \includegraphics[width=\textwidth]{figures/figure05.pdf}
    %
    \caption{Validated data and metadata are integrated at Résif-DC by passing
    through a series of workers which ensure that the data and metadata
    conforms to the specifications, register it in the archive and in the
    database, index it and create the side-products. Raw data is concentrated,
    registered and made available through standardized webservices with very
    low latency (around 10 seconds). Data, metadata and other assets are dumped
    on a distant tape system at the Computing Centre of the National Institute
    of Nuclear Physics and Particle Physics (CC-IN2P3, Lyon) to secure them
    from a local disaster. }
    %
    \label{fig:resifdc}
\end{figure}

Résif-DC also computes on the fly, with each integration, some useful side
products. For instance, power spectral density (PSD) plots \citep{PSD}
generated with PASSCAL Quick Look eXtended (PQLX) \citep{PQLX}, but also
availability plots generated with the help of a Standard for Exchange of
Earthquake Data (SEED) data indexer \citep[\texttt{seedtree5,}][]{sedtree5}.

Résif-DC exposes two webservices for A-Nodes to manage their data and
transactions:
\begin{itemize}
    \item \textbf{https://ws.resif.fr/resifsi/transaction/1}: to retrieve
    transaction records, for example to analyze and correct rejected data or
    metadata;

    \item \textbf{https://ws.resif.fr/resifsi/orphanfile/1}: to identify orphan
    data (without metadata) in the Résif archive for corrective action.
\end{itemize}

Other operations have to be requested through a help desk because either they
are rare, or there is no safe way to automate them (e.g., data removal).

\subsection*{Metadata enhancement}
\label{sec:metadataq}

Résif-SI has progressively improved the quality and consistency of metadata by
establishing a controlled vocabulary and recommendations for standardizing the
content of text fields in metadata. Initially, the metadata of A-nodes were
managed in local databases and formatted using the open-source portable data
collection centers (PDCC) tool by the Incorporated Research Institutions for
Seismology \citep[IRIS,][]{PDCC} or in-house tools. Each A-node has its
specificity regarding metadata. In particular, SisMob and RAP have to deal with
a large diversity of instruments and very complex metadata. With this context,
in-house tools to manage the metadata were mandatory. Indeed, all the
constraints on the metadata for Résif-SI networks could not be included into
any standard software \citep[e.g., SeisComp,][]{SeisComP} at the time.

Before 2019, metadata were edited and submitted in SEED dataless format
\citep{SEED}, and Résif-DC ingested the metadata and delivered it in the
normalized StationXML format \citep{StationXML}. Today, all A-nodes produce
StationXML metadata and most of Résif-SI are moving toward a common toolbox and
database for metadata edition. The \nameref{sec:yasmine} section gives
additional information on this project, which has high priority in Résif-SI,
because StationXML gives visibility and full acknowledgment of all dataset
contributors—from station to data distribution (see the \nameref{sec:fairness}
section). This normalized information is automatically exported to the Résif-SI
web portal and to other services. Moreover, StationXML allows referencing to
persistent network identifiers to facilitate citation and includes new fields
necessary, for example, for OBS data (see the \nameref{sec:OBS} section).


\subsection*{Data collection and completion}

The management of data flows is specific to each A-node. However, Résif-SI
offers its own tools that are generic enough to be deployed outside their
initial context. An example is MOdular aRchive bUilder from Multiple Origin
Temporal Traces \& Other stuff \citep[MORUMOTTO,][]{MORUMOTTO}, developed by
IPGP for A-node Volcano. MORUMOTTO is used by network operators to quality
control a data archive, and, in particular, to detect and correct data gaps and
overlaps. Data are regularly fetched from a pool of different sources.


\subsection*{Data validation}
Data validation procedures are specific to each A-node.

Data from networks FR and RA are qualified "M" \citep["data center modified,
time-series values have not been changed" --see][page 108]{SEED}, and is made
available three to five days after collection by A-nodes, after having
undergone the following checks:
\begin{itemize}
    \item data has been completed as much as possible;
    \item there is no overlap, even at the sample level;
    \item instrument response validity epochs do not overlap;
    \item the PSD of the signal is in accordance with what is expected for each
    particular station.
\end{itemize}

Data from networks G, GL, MQ, WI and PF is made available with the quality
label "Q" \citep["quality controlled data, some processes have been applied to
the data" --see][page 108]{SEED}, and undergoes additional checks, namely:
\begin{itemize}
    \item waveform modeling of teleseismic earthquakes of magnitude larger than
    6 through the Seismic source ChAracteristics Retrieved from DEConvolvolving
    teleseismic body waves (SCARDEC) method \citep{Vallee2011} shows a good
    agreement between the observed and predicted signals;
    \item for multi-parametric stations, the acceleration-converted seismometer
    and accelerometer waveforms are identical for a selection of suitable
    earthquakes.
\end{itemize}
Because of the complexity of these additional operations, validated data from
these networks are available 6-12 months after its collection.

Availability of validated data from SisMob temporary networks depends on the
specificity of each experiment, and generally varies between 1 and 6 months
(SisMob data might be under embargo for up to three years).

Table \ref{tab:validdata} summarizes the latency for the production of
validated data by A-nodes and their data quality label. For networks collected
in real time (see the \nameref{sec:realtimedata} section), raw data are
immediately available and eventually replaced with validated data.

\begin{table}
    \centering
    \caption{Latency for the production of validated data by A-nodes}
    \label{tab:validdata}
    \begin{tabular}{lll}
        \toprule
        \textit{A-nodes}  & \textit{data quality} & \textit{latency} \\
        \midrule
        RLBP    & M    & 3-5 days \\
        RAP     & M    & 3-5 days; 1 year for the data from stations in buildings and borehole \\
        GEOSCOPE & Q   & 6 to 12 months \\
        VOLCANO & Q   & 6 to 12 months \\
        SISMOB & M   & 1 to 6 months \\
        \bottomrule
    \end{tabular}
\end{table}


\subsection*{Quality of Service}

The Résif-SI organization does its best to implement a set of high-quality
services with high-operational performance, that is, as continuously available
and robust as possible. To achieve this, we developed a culture of quality of
service, based on a set of the best practices, among which:
\begin{itemize}
    \item a single help desk, accessible by email at
    \email{resif-dc@univ-grenoble-alpes.fr}. Users are typically scientists
    searching for data, data or metadata producers needing help to access the
    services, or network managers needing assistance.
    \item a clear presentation and documentation of our services through the
    website \url{https://ws.resif.fr};
    \item an automated system which tests thoroughly our services and
    infrastructure, and monitors the overall activity in order to alert the
    relevant personnel of Résif-SI as early as possible in case any potential
    issues or anomalies are detected.;
    \item a Really Simple Syndication (RSS) feed to publish news or scheduled
    downtime events.
\end{itemize}

The website \url{http://seismology.resif.fr} is also the place to browse all
the available metadata, to get information about citations, data, and metadata
access. It is also used for announcements regarding operational news of
Résif-DC, such as maintenance downtimes or new services availability.

\begin{wraptable}{l}{7cm}
  \centering
  % \begin{threeparttable}
    %
    \caption{Average service availability for year 2020 based on network
    reachability. Availability of 0.1\% corresponds to 9 hours. }
    %
    \label{tab:sla}
    \begin{tabular}{ll}
        \toprule
        \textit{service} & \textit{availability (\%)} \\
        \midrule
        fdsnws-dataselect & 99.84 \\
        fdsnws-station & 99.62 \\
        fdsnws-availability & 99.60 \\
        real time data & 99.87 \\
        resifws-timeseries & 99.66 \\
        resifws-timeseriesplot & 99.65 \\
        eidaws-wfcatalog & 99.29\\
        \bottomrule
    \end{tabular}
  % \end{threeparttable}
\end{wraptable}

The monitoring system checks all the Résif-DC services, mimics user access for
testing, and alerts the operational team, if necessary. It also monitors lower
levels of the infrastructure of Résif-DC. The gathered information is used in
reports, to publish the overall availability of the data center.

Measuring and publishing the availability of our services is an ongoing project
that will be completed in 2021. Service level agreements will be defined by the
executive committee for our main services, and the data center’s yearly report
will show the metrics. Table~\ref{tab:sla} provides a rough estimate of service
availability at Résif-DC in 2020, based on network reachability. Based on
feedback from the EIDA User Advisory Group, EIDA is presently working on a
periodic test bench of all the nodes based on random requests of data and
metadata, which will be more representative of the services availability.



%------------------------------------------------------------------------------
% Data management: Résif-DC
%------------------------------------------------------------------------------

\section*{Data management: Résif-DC}
\label{sec:datamanagement}

The construction of Résif-SI is patterned on a data management plan
\citep[e.g.,][]{DMP} describing the responsibilities of each partner, how long
data should be stored, how metadata are managed, how data are accessed.
Résif-DC has a central role to play in this plan: It ensures that data are
securely stored and easily accessible.


\subsection*{Data archive description}

Résif-DC stores the data in miniSEED \citep[using the SDS
structure,][]{SEED,SDS} or PH5 format \citep{PH5}. The latter is designed by
IRIS Portable Array Seismic Studies of the Continental Lithosphere (PASSCAL),
which is based on HDF5 \citep{HDF5} and widely used by the temporary
experiments using dense arrays.

Résif-DC holds miniSEED data from 1986, all accessible through the FDSN
\texttt{dataselect} webservices. Figure~\ref{fig:dataholdings} shows the volume
of miniSEED and PH5 data, by network, held for each year as of January 2021. We
account for 68\% of data from permanent networks versus 32\% from temporary
experiments.

\begin{figure}
    \centering
    \includegraphics[width=\textwidth]{figures/figure06.pdf}
    %
    \caption{Current validated data holdings at Résif-DC grouped by year. This
    figures illustrates the growth of the data produced by seismological
    networks since 1998.}
    %
    \label{fig:dataholdings}
\end{figure}

The increasing amount of data stored came from two major factors: first, the
deployment of, approximately, 150 new permanent broadband stations; second, the
increasing number of temporary experiments associated with SisMob. We
anticipate a strong data growth in coming years, due to increasing number of
experiments using dense arrays and the foreseen integration of data from
distributed acoustic sensors, but, the numbers are still difficult to quantify,
as discussed in \citet{Quinteros2021}.

The data management description has been used to design an efficient central
storage at Résif-DC. Data are kept on two classes of storage, ensuring the same
data security but with different levels of performance. Although,
seldom-requested data are still quickly accessible, they are kept on a less
powerful and less expensive media. This storage tiering is one of the many
features of our storage provider Stockage Unifié Mutualisé Massif Evolutif et
Réparti (SUMMER) and is totally transparent for the data center systems, thanks
to a storage abstraction layer (\texttt{autofs}). Once a year, the data that
can be transferred to less powerful storage media are selected according to the
seismic network’s data management plan and manually moved.


\subsection*{Securing the data}

When it comes to store the data securely, one has to identify and address
several types of risks. Résif-DC is concerned about:
\begin{enumerate}
    \item hardware failures;
    \item unintentional or malicious alteration or deletion of the data by an
    operator;
    \item local disaster destroying physically the archive located in Grenoble
    (flood, earthquake, etc.).
\end{enumerate}

Risks 1 and 2 are addressed de facto by Résif-DC through the choice of storage
provider SUMMER \citep{SUMMER}, operated by the University of Grenoble Alpes,
which secures the data in three different data centers and offers a daily
snapshot service. Using the university storage service, we also ensure that all
the data are kept on an academic and publicly funded platform.

The risk 3 of a local destruction has been addressed by copying twice a year a
snapshot of our archive to tapes stored at a distant place. At this juncture,
we have secured a collaboration with the Computing Centre of the National
Institute of Nuclear Physics and Particle Physics \citep[CC-IN2P3,][]{CC-IN2P3}
located in Lyon, to serve as this remote site. Although, the recovery plan is
not fully formalized, we guarantee that the data hosted at Résif-DC will
survive the mentioned risks, as long as it has been stored for, at least, six
months. An additional copy for recent data are ensured by A-nodes, which are
committed to keeping a secure copy of their datasets for a duration of two
years.

Altering or destroying the data hosted by Résif-DC would require an operator or
an attacker to get access to high privileges on three independent
infrastructures, namely:
\begin{itemize}
  \item Write access to the Résif-DC infrastructure would allow to delete live
  data in the archive. The data can in that case be retrieved from SUMMER
  snapshots or backups.
  \item Write access to the SUMMER infrastructure would allow to destroy
  backups, snapshots, and live data. The data and metadata can, in that case,
  be recovered from a distant copy made twice a year at CC-IN2P3.
  \item Write access to the CC-IN2P3 infrastructure would allow to destroy the
  distant copy.
\end{itemize}
Résif-SI considers that the scenario of the combined access to these three
infrastructures is unlikely to happen.


\subsection*{Data distribution services}

Résif-SI data distribution is based on a small set of elementary and very
robust data services, which can be divided into: real-time data access,
asynchronous data access, and webservices. These base services constitute the
building blocks for higher-level data services and products provided by
Résif-SI or by European and international partners. Résif-SI is fully
integrated into EIDA, through its elementary data services. EIDA offers a wide
set of additional services and tools, including smart clients, federated
archive access, and web interfaces. A full description of EIDA can be found in
\citet{Strollo2021}.

The Résif-SI web portal (\url{http://seismology.resif.fr}) provides information
about Résif-SI, documentation on how to use the elementary and additional
services, licensing, and so forth. It also provides URL builders for the
webservices and dynamic search options for browsing the seismic networks,
station metadata, data availability, data quality, and so forth.

Résif-DC has implemented most of its data models and workers to preserve the
specificity and accuracy of the metadata produced by A-nodes. In particular,
care was taken to be able to export the rich Résif-SI metadata. This a priori
expensive solution proved to be profitable in the long term, because it enabled
Résif-SI to integrate from early on the description of nonseismological
channels (polynomial responses), and to manage all station and channel
comments, as well as OBS metadata. In this way, additional services are
effective across all the data types managed by Résif-SI.

The two initial FDSN webservices \texttt{station} and \texttt{dataselect}
\citep{fdsn_web_services} were put into production in 2013. Their
implementation is based on IRIS WebServiceShell \citep{WebServiceShell}, which
we interfaced (via Python) with our databases and archives. All the other
webservices have been implemented in Python and ObsPy
\citep{ObsPy1,ObsPy2,ObsPy3} within the Flask framework \citep{Flask}, and
their codes are fully available on public code repositories (see
\nameref{sec:data_and_resources}).

The basic Résif-DC data services are:
\begin{itemize}
    %
    \item A SeedLink server \citep{seedlink}, accessible at
    \texttt{rtserve.resif.fr} (standard port 18000), for real-time access to
    miniSEED data. This service, based on IRIS \texttt{ringserver}
    \citep{ringserver}, provides a single access point to all the real-time
    data streams of the A-nodes for which metadata is publicly available;
    %
    \item The standard \texttt{fdsn-dataselect} webservice
    \citep{fdsn_web_services} to access validated or near real-time data
    --public or restricted-- for all of the miniSEED archive.
    %
    \item The FDSN-compliant \texttt{ph5-dataselect} webservice
    \citep{resif_web_services}, which serves large-N data (stored in PH5
    archives) as miniSEED or Seismic Analysis Code (SAC) format on the fly
    (useful for small subsets of the PH5 datasets);
    %
    \item The standard \texttt{fdsn-station} webservice
    \citep{fdsn_web_services} to retrieve station metadata;
    %
    \item The standard \texttt{fdsn-availability} webservice
    \citep{fdsn_web_services} to interrogate the miniSEED data inventory;
    %
    \item The FDSN-compliant \texttt{ph5-availability} webservice
    \citep{resif_web_services}, to interrogate the PH5 data inventory;
    %
    \item The \texttt{eidaws-wfcatalog} webservice \citep{WFCatalog} to
    retrieve data availability as well as other metrics (e.g., gaps, overlaps,
    root mean square [rms]);
    %
    \item The standard \texttt{fdsn-event} webservice
    \citep{fdsn_web_services}, operated by BCSF-RéNaSS (Bureau Central
    Sismologique Français, French Central Seismology Bureau -- Réseau National
    de Surveillance Sismique, National Seismic Monitoring Network), which gives
    access to event parameters located by BCSF-RéNaSS \citep{Masson2021}.
    %
\end{itemize}

Résif-DC also allows the retrieval of a complete dataset, by network, using
\texttt{rsync} protocol. The user is granted read-only access to the part of
the archive exposing the dataset. This is, particularly, useful to retrieve
entire datasets in PH5 format. Figure~\ref{fig:datadistribution} shows the
amount of waveform data served by \texttt{fdsn-dataselect} and SeedLink.

\begin{figure}
    \centering
    \includegraphics[width=0.8\textwidth]{figures/figure07.pdf}
    %
    \caption{Amount of waveform data distributed yearly through SeedLink
    (real-time) and FDSN \texttt{dataselect}. Note that statistics from the now
    retired EIDA Arclink services are not included.}
    %
    \label{fig:datadistribution}
\end{figure}

Built on top of these base services, the following additional webservices are
available from Résif-DC:

\begin{itemize}
    \item The \texttt{timeseries} and \texttt{timeseriesplot} webservices
    \citep{resif_web_services} to obtain pre-processed waveforms or plots;
    %
    \item The \texttt{resp}, \texttt{sacpz} and  \texttt{evalresp} webservices
    \citep{resif_web_services} to obtain or plot instrumental responses;
\end{itemize}

A complete catalog of the Résif-DC webservices is available on
\url{https://ws.resif.fr}. More details and usage examples are given in the
\nameref{sec:dataaccess} section.


\subsection*{Data fairness}
\label{sec:fairness}

Data fairness refers to the Findable, Accessible, Interoperable, Reusable
(FAIR) guiding principles for scientific data management and stewardship
\citep{FAIRGuidelines}. We here discuss how far we are complying to those best
practices.

The \textbf{findability} of our data and metadata is ensured by the
international standard \texttt{station} webservice \citep{fdsn_web_services},
accessible via any web browser, http client, and the community’s most popular
tools like ObsPy \citep{ObsPy1,ObsPy2,ObsPy3}, the EIDA’s
\texttt{fdsnws\_scripts} \citep{fdsnws_scripts}, or the webservice fetch
scripts \citep{fetch_scripts}. In addition, most of the Résif datasets have
digital object identifiers (DOIs) associated with their seismic network,
according to the standard procedure approved in 2014 by the FDSN
\citep{Evans2015}. Within Résif-SI, much effort has been dedicated to manage
the quality of the published metadata, as stated in the \nameref{sec:metadataq}
section. The seismological metadata are very descriptive, allowing scientists
to identify precisely the data needed. In addition, the \texttt{station}
webservice provides a rich set of options to make selections in the metadata
catalog, such as time period, geographical region, or update time. Findability
of Résif-SI data is also guaranteed by the ORFEUS European metadata catalog
\citep{EIDA_federator}, implemented by EIDA and maintained by ETH-Zürich, which
enables users to fetch metadata from all the EIDA’s data centers in one
request, at one entry point. Finally, within FDSN, a large effort in
establishing data routing tables has been achieved. Now, each seismological
network has a well-known reference data center, and this information is made
publicly available by each data center and can be consulted for each network on
the FDSN’s network details page \citep{fdsn_net_details}.

The \textbf{accessibility} of the data is ensured by the international standard
\texttt{dataselect} webservice \citep{fdsn_web_services} that gives access to
all Résif’s archive, except for data in PH5 format, which has its own
nonstandard \texttt{ph5-dataselect} webservice \citep{resif_web_services}.
Authentication is also provided for restricted data, with local methods or with
EIDA’s authentication system.

The \textbf{interoperability} is ensured inside Résif, by adopting a common
vocabulary for StationXML metadata, which makes it possible to expose on the
Résif portal significant parts of the StationXML content coherently across all
the operators. For the services to the user, interoperability is first and
foremost ensured by webservices in strict adherence to FDSN standards when
available. This is the key for universal data and metadata access through
interoperable additional layers across many data centers offering the same
services. At a service level, EIDA offers such interoperable services (e.g.,
WebDC3, \citealt{webdc3}, which gives transparent access to the data of all the
EIDA nodes), whereas, many users develop workflows based on the FDSN
webservices interfaces \citep[e.g.,][]{Zaccarelli_2019,MacCarthy_2020}.
Cross-disciplinary interoperability requires challenging standardization of
metadata vocabulary, both for data and services. The interoperability between
the different Résif data types (seismology, GNSS, gravimetry) is delegated to
the EPOS infrastructure, into which Résif is fully integrated. National
technical discussions are undertaken across different EPOS activities in
France, rather than strictly within Résif perimeter, and the Résif seismology
and GNSS community actively contribute to EPOS. The EPOS cross-disciplinary
interoperability is achieved through a dedicated layer that connects different
services through a metadata catalog that uses standardized vocabulary to
describe the services. In addition, the scientific users of Résif data are
already observed to mix data and data products from different domains (e.g.,
seismic waveforms with environmental data, such as weather condition or
ocean-wave activity) within smart clients that they create, or by mixing data
from local files downloaded from different sources with direct download of
waveform data. The main condition for the success of these applications is
meticulous application of domain standards, and the effective data and metadata
accessibility.

The data provided by Résif-SI are also made \textbf{reusable} in respect of the
FAIR guidelines. The rule of Résif-SI is to distribute all open data under the
Creative Commons Attribution 4.0 license \citep{cc-by-4-0} CC4.0:BY, coherent
with French law. StationXML specification (currently at v.1.1;
\citealt{StationXML}) does not provide a field to indicate the data license,
but we made this information easily accessible, by systematically exposing the
DOI of a network via the \texttt{<Identifier>} tag in StationXML metadata. As
an example, metadata from RAP network (network code "RA", see
\nameref{sec:data_and_resources}) contains the following tags:
%
\begin{lstlisting}[language=xml]
<Description>RESIF-RAP Accelerometric permanent network</Description>
<Identifier type="DOI">10.15778/RESIF.RA</Identifier>
\end{lstlisting}
%
License information is provided in the DataCite XML document
\citep{datacite_schema} of each network via the \texttt{<rightsList>} tag. For
instance, the "RA" network DataCite XML (see \nameref{sec:data_and_resources})
contains the following tags:
%
\begin{lstlisting}[language=xml]
<rightsList>
  <rights rightsURI="info:eu-repo/semantics/openAccess">Open Access</rights>
  <rights rightsURI="https://creativecommons.org/licenses/by/4.0">Creative Commons By 4.0 Universal</rights>
</rightsList>
\end{lstlisting}
%
Citation instructions are available on the DataCite page (e.g.,
\url{https://search.datacite.org/works/10.15778/RESIF.RA}) and dynamically
presented by several portals (e.g., FDSN network details,
\citealt{fdsn_net_details}, or Résif seismic data portal,
\citealt{seismology_resif_fr}). Résif-DC provides a list of citation
instructions in the portal’s citation page \citep{resif_citation_page}. We
strongly encourage scientists to cite data producers and distributors in their
papers.

The use of licenses for seismic waveform data is presently only at its
beginning, with licenses being put in place for many seismic networks in
Europe. A strong motivation is not only the citations (see earlier), but also
to handle liability issues in the case of erroneous data or metadata. Résif-SI
is actively working, within the framework of a cooperation between ORFEUS and
IRIS, to promote good citation usage to scientific users of waveform data, and
to inform publishers of these progresses, as the introduction of licenses
engages the liability of the journals and of the publishing scientists, even
though this liability is not yet reinforced.

An accompanying issue is that data centers that hold copies of the datasets
need to expose the license information in a proper way. For this to be
practically possible, Résif-SI has, with the agreement of the involved
organizations, stopped all data copies to other data centers, which were
previously put in place, and asked for the old copies to be deleted. The only
exception is GEOSCOPE data archived at the IRIS Data Management Center (DMC),
due to a strong user base of GEOSCOPE data through this data center. Overall,
the seismological community worldwide still needs to efficiently communicate
license information to users, but, if the citations (see earlier) are properly
done, the license CC4.0:BY is respected.

Citation through the use of DOIs is only meaningful if the associated metadata
are sufficiently rich to include all the parties that contribute to the data
production, management, and distribution. Résif-SI uses the
\texttt{contributor} field of DataCite metadata \citep{datacite_schema} to
acknowledge different types of contribution and roles within each seismic
network, and, more specifically, the \texttt{contributorTypes}
\textit{DataManager} (Résif-SI), \textit{Distributor} (Résif Data Center),
\textit{HostingInstution} (Université Grenoble Alpes), \textit{DataCurator}
(the relevant A-node), \textit{DataCollector} (organizations that operate the
seismic network), and \textit{Sponsor} (funding sources).


\subsection*{From logging to usage statistics}

Data usage statistics are important information for the different persons
associated with data production, management, and distribution. For example, the
Résif-DC team needs to have real-time usage statistics, correlated with IT
system metrics to catch anomalies or anticipate requests growth, whereas, data
producers, project principal investigators, and funding agencies need compiled
usage statistics in a larger view and for larger time span, such as overall
statistics (e.g., number of requests, users, shipped volumes, countries of
request) or network relevant information (e.g., network level download
statistics, the most accessed stations, countries of requests).

To satisfy all the needs for statistics, we built a system that concentrates
the information, builds statistics, and gives access to dashboards
(Fig.~\ref{fig:logging}).

\begin{figure}
    \centering
    \includegraphics[width=\textwidth]{figures/figure08.pdf}
    %
    \caption{The logging system analyzes events from heterogeneous sources
    (e.g., web access logs, webservices requests, server logs); the statistics
    are computed by different analyzers and aggregated in one central database
    (Postgresql). The statistics can be queried by various interfaces intended
    for different audiences; in particular a public webservice
    \texttt{resifws-statistics} is available.}
    %
    \label{fig:logging}
\end{figure}

The constraints come from the variety of data access methods, each one having
their own log formats that are not always compatible with real-time processing.
Another difficulty is to analyze the data served through webservices. It is
easy to capture the quantity of data shipped by the web server, but it is not
possible to know what it is made of (which network, station, location, or
channel). Consequently, we have to analyze each request and evaluate the
typology of the response. All the gathered information is stored in a
PostgreSQL database, aggregated, and anonymized. The anonymization concerns the
client’s IP address and consists of hashing it as soon as it enters the
databases. Then, when the requests are aggregated, we only keep HyperLogLog
objects \citep{HLL} to compute the cardinality of the clients. Therefore, our
databases respect the European legislation (General Data Protection
Regulation), because there is no way to retrieve an IP address or any kind of
personal data.

The statistics can be accessed through several means: we provide a webservice
for end users (see the \nameref{sec:dataaccess} section) and interactive
dashboards for internal usage (e.g., analyzing operational events in real time,
usage, and performance evaluation, Fig.~\ref{fig:dashboard}).
Figure~\ref{fig:request_map} is an example of rendering statistics in a
geographical map. Recently, we published a system allowing automatic creation
of plots and usage statistics in form of a report
(\texttt{resif-delivery-stats-plotter}, \citealt{statsplotter}). This program
is aimed at network managers or principal investigators seeking information on
data and metadata usage.

\begin{figure}
    \centering
    \includegraphics[width=0.9\textwidth]{figures/figure09.pdf}
    %
    \caption{This dashboard view is an example of the web interface presenting
    some of the Résif-DC distribution metrics. Here, the figures focuses on the
    \texttt{fdsnws-dataselect} webservice during 2020, showing the volume sent
    (51.34 TB), the number of successful requests (33.02 millions) and the
    distribution of user agent requests for all the requests (83.75 millions).
    This last number accounts for the successful requests to the
    \texttt{/query} and \texttt{/queryauth} methods (HTTP 200), the requests
    returning no data (HTTP 204 and 404), the requests to other methods
    (documentation, \texttt{/auth}, wadl file), the requests producing errors
    due to improper parameters (HTTP 400 and 401) or insufficient permissions
    (HTTP 403). }
    %
    \label{fig:dashboard}
\end{figure}

\begin{figure}
    \centering
    \includegraphics[width=\textwidth]{figures/figure10.pdf}
    \caption{Geographical distribution of data requests to Résif-DC in 2020.}
    \label{fig:request_map}
\end{figure}

%------------------------------------------------------------------------------
%	New developments
%------------------------------------------------------------------------------

\section*{New developments}
\label{sec:newdevs}

\subsection*{Large-N data management}

Large-N data are produced by temporary experiments deploying small,
self-contained seismometers (the so called "nodes") in dense arrays, with high
sampling rate \citep[i.e., above 100 samples per second,
e.g.,][]{Brenguier2016,Dougherty2019,gimbert2020resolve}. The raw data
generated by those experiments is, approximately, 1 GB per day per node, and an
experiment can use hundreds of nodes for several months. In addition, the data
management needs specific workflows and data format treatments.

To host and distribute this new kind of data, the SisMob A-node developed a
specific workflow that produces validated data in PH5 \citep{PH5}--a
data format developed at IRIS by PASSCAL and commonly used for large-N data. To
ingest this new data format, Résif-DC also adapted the integration mechanisms
and storage repositories, because PH5 data cannot be indexed nor referenced in
the same way as miniSEED data. Furthermore, to host the foreseen volumes, a
dedicated archive storage has been setup.

The metadata, on the other hand, is created in classical StationXML format, as
other miniSEED data, and submitted at Résif-DC using the standard procedures
described previously.

The PH5 archive is served to end users by two means:
\begin{itemize}
  %
  \item \texttt{rsync} access for a restricted set of users needing to download
  the entire dataset; and
  %
  \item the \texttt{ph5-dataselect} webservice \citep{ph5-dataselect} allowing
  the selection of a subset of the data in miniSEED format with the same
  options and syntax as the FDSN \texttt{dataselect} webservice specification.
\end{itemize}

Résif-DC also provides the \texttt{ph5-availability} webservice
\citep{ph5-availability} for the users to get the time span of the available
data.


\subsection*{Marine data}
\label{sec:OBS}

Marine data collected on autonomous sensors, such as OBSs, follow specific
guidelines developed and distributed through the FDSN "mobile instrumentation"
working group and the European  Union projects EPOS/ORFEUS, Environnemental
Research Infarstructures (ENVRI)-FAIR and Seismology and Earthquake Engineering
Research Infrastructure Alliance for Europe (SERA). These guidelines include:
data quality labels indicating whether the data were corrected or not for the
instrument clock drift; standards for postimplementing leap seconds; component
code standards for horizontal channels that are not geographically oriented;
orientation and dip standards for pressure channels; and station naming rules
for repeated deployments at the same station (see
\citealt{SERA_deliverable_4_2}, their Appendix B, for the latest published
version and \citealt{OBS_data_metadata_proposal}; for the latest proposed
version). These guidelines have been adopted already by some OBS parks and EIDA
data centers. The AlpArray OBS component has been archived following these
guidelines.

Résif has been working, since 2017, on the integration of data from French OBS
parks. This integration will be accomplished very soon by the commissioning of
the dedicated MARINE A-node. Within this frame, a system for creating
FDSN-standard data and metadata for OBSs using standardized, easy-to-read
information files is currently in development \citep{obsinfo}. A specific
visual quality control is also in development \citep{visualQC}, to allow the
instrument providers and scientific users to verify instrument responses, noise
levels, and time corrections.

To date, Résif-DC distributes data from two temporary campaigns:
\begin{itemize}
  %
  \item Réunion Hotspot and Upper Mantle – Réunions Unterer Mantel (RHUM-RUM)
  \citep{Network:RHUM-RUM}: 57 OBS for two months of data, three components at
  50 Hz;
  %
  \item AlpArray \citep{Network:ALPARRAY}: Eight OBS for eight months of data,
  three components at 50 Hz.
  %
\end{itemize}

Two other datasets are in the process of validation and integration:

\begin{itemize}
  %
  \item SISMANTILLES \citep{Network:SISMANTILLES}: 20 OBS for four months,
  three components at 50 Hz.
  %
  \item EMSO-MOMAR \citep{Network:EMSO-MOMAR}: Five OBS for 10 yr, three
  components at 50 Hz
  %
\end{itemize}

OBSs cannot obtain precise Global Positioning System (GPS) timing during their
deployment. The instruments are equipped with a very accurate clock to minimize
the problem; however, this clock drifts on the order of 1–2 s/yr
\citep[e.g.,][]{Loviknes2020}. The standard protocol for OBS time correction is
to synchronize an OBS with a GPS signal immediately before deployment and after
recovery. The measured timing deviation is assumed to have accumulated linearly
over the deployment interval; therefore, the applied correction for time drift
is linear. This assumption has been checked by \cite{Hable2018} for the instru-
ments used during the RHUM-RUM experiment (French and German pools), using
ambient noise correlations.

Some users, however, prefer to have the data "unmodified", even if this means
that there are timing errors of the order of a second. That is why Résif-DC
delivers both types of data, giving quality label "Q" \citep[Quality Controlled
Data, some processes have been applied to the data --see][page 108]{SEED} to
those that are corrected and "D" \citep[the state of quality control of the
data is indeterminate --see][page 108]{SEED} to those that are not (see the
\nameref{appendix:OBS} section).

%
\subsection*{Organizing and improving archival of data from building and
infrastructure monitoring}

Since 2010, Résif has been involved in specifying metadata and solutions for
building and infrastructure monitoring \citep{SERA_deliverable_4_2}. More and
more high-quality seismic sensors are deployed across structures, with the same
technical issues than for classical seismological networks (in large numbers,
with continuous recordings) and using, therefore, seismological standards. The
StationXML metadata specification \citep{StationXML} can be used to include
specific information on the structure, allowing the engineering seismology
community to integrate infrastructure monitoring data into standardized
practices. The building description, which is key for engineering purposes, can
be included at two levels: (1) following the European Macroseismic Scale
typology of buildings, based on the material of construction \citep{EMS-98},
and (2) through a full description of the building characteristics according to
the Global Earthquake Model (GEM) Building taxonomy \citep{GEM_Taxonomy}.

To date, Résif-DC distributes seismic data from five instrumented buildings:

\begin{itemize}
  %
  \item City-hall of Grenoble, France \citep{Michel2009,Gueguen2020}: Six
  three-component (3C) accelerometric sensors since 2004 (stations
  \texttt{OGH1} to \texttt{OGH6}), and one additional 3C sensor at intermediate
  height (station \texttt{OGH7}) and one weather station at the top since 2019
  (station: \texttt{OGH8})
  %
  \item Ophite Tower in Lourdes, France \citep{Michel2018}: Three 3C
  accelerometric sensors and 15 1C accelerometric sensors distributed over the
  building height since 2008 (station \texttt{PYTO}) plus one temperature
  sensor at the top.
  %
  \item Prefecture building in Nice, France \citep{Lorenzo2018}: Two 3C
  accelerometric sensors and 18 1C accelerometric sensors distributed over the
  building height since 2010 (station \texttt{NCAD}), including one free-field
  station.
  %
  \item Basse-Pointe College in Martinique Island: Two 3C accelerometric
  sensors and 18 1C accelerometric sensors distributed over the building height
  since 2010 (station \texttt{CGBP}), including one temperature sensor and one
  free-field station.
  %
  \item Centre de découverte de la Terre in Martinique Island
  \citep{Gueguen2012}: Two 3C sensors in trigger mode in a specific building
  with rubber bearing since 2005 (stations \texttt{CGCP} and \texttt{CGLR}).
  %
\end{itemize}


\subsection*{Metadata editing made easy: YASMINE}
\label{sec:yasmine}

For almost 20 yr, the IRIS PDCC \citep{PDCC} was the main standalone graphical
user interface (GUI) tool available to create and maintain station metadata in
SEED dataless format \citep{SEED}. In 2017, several years after the adoption of
the FDSN new StationXML metadata standard \citep{StationXML}, there was still
no solution widely available to edit and create native StationXML files. This
slowed down the adoption of StationXML by, at least, all Résif-SI contributing
A-nodes and forced us to use an interim SEED dataless to StationXML conversion
solution. This problem was hindering Résif-DC being able to export rich
metadata to the user, including, for example, the DOI of the network, or the
contributing organizations.

Résif-SI first collected the metadata creation and edition needs among the
French community and closest partners. The requirements were then generalized
so that they fulfill not only Résif-SI needs but also a much broader
international community.

In 2018, IRIS-DMC contracted Instrumental Software Technologies, Inc. (ISTI),
to build a tool for StationXML creation and editing, and this first software
was already satisfying some of Résif-SI requirements. Résif-SI then contracted
ISTI to continue the development of Yet Another Station Metadata INformation
Editor (YASMINE), to satisfy our requirements. The results are two independent
pieces of software: \texttt{yasmine-GUI} and \texttt{yasmine-CLI}.

One of the main innovations was the introduction of the new atomic response
object library \citep[AROL,][]{AROL}. This library, written in YAML Ain't
Markup Language (YAML), is contributed by Résif-SI and is the conversion of the
long-maintained PZ format library. Each stage of a device is only defined once
and then linked to the definition of the many different instrument
configurations possibilities.

The web-based GUI \texttt{yasmine-GUI} offers the user the ability to create
and edit StationXML metadata. The user can create files from scratch through a
guided wizard process and can import response files from either nominal
responses for seismic instruments library \citep{NRL} or AROL. The user can
also modify any part of the instrument response. A comparison mode allows the
user to compare the instrument response of two StationXML files, sharing the
same station-channel-network-location. Often used description elements (vault,
geology, and comments) can be stored in the General ATomic lIbrary of Tiny
Objects \citep[in YAML,][]{GATITO}, to simplify the task of homogenization of
those elements over several StationXML files. Finally, the user can store any
of the network, station, or channel elements in a user library that will store
them as templates for further reuse.

The command-line based \texttt{yasmine-CLI} allows the user to modify an
existing StationXML file. The user can add, delete, or modify StationXML
elements, except for the instrument response elements. The user can also split
a complex StationXML into multiple simpler files (e.g., split a network
StationXML into several perstation files) and print the instrument responses
of each channel contained in the StationXML. This tool will allow many
automated StationXML file modifications from scripts.

The two pieces of software are written in Python and rely heavily on ObsPy for
the StationXML content manipulation. They are both compatible with the latest
StationXML 1.1 standard and are released under the GNU General Public License
(GNU GPL) version 3 and distributed as Python packages. The Résif-SI
installation of YASMINE is reachable at \url{https://yasmine.resif.fr}.



%------------------------------------------------------------------------------
% Conclusion and Future challenges
%------------------------------------------------------------------------------

\section*{Conclusion and Future challenges}
\label{sec:conclusion}

The choice of a distributed yet strong architecture for the national Résif
information system in seismology, with clearly identified roles and
responsibilities, has proven effective for France, to deliver seismic waveform
data to users worldwide. The service to users has significantly improved in
terms of features offered and service robustness with minimal changes of
running costs and keeping the same number of permanent staff members. The
advantage of the system is that it capitalizes on the distributed human
resources and competence nation-wide, and maintains visibility for each
involved institution. The cost of this architecture is the continuous efforts
needed to maintain the technical coherency and cooperation across all
institutions, and to overcome communication difficulties across the distributed
system. The choice made very early on to preserve original data models allowed
us, despite the initial cost, to respect the specific constraints on data and
metadata for all the French networks—an important consideration for the
cohesion of Résif-SI and for the scientific users. Based on this experience,
the Résif board of directors has recently chosen a similar architecture for
information on earthquakes, with identified roles of different operators
responsible for warning, bulletins, catalogs, and shake maps, rather than each
institution creating their own \citep{Masson2021}.

Résif faces future challenges, related to two main issues. First, the success
of the system at a national level means that the quantity and complexity of
collected and distributed data is ever-increasing. For example, all broadband
OBS data will, in the future, be integrated into Résif. The second issue is an
order of magnitude change in data integration associated with large-N and
distributed acoustic sensing equipment. These challenges are international, and
Résif will continue to engage in international discussions on how to tackle
them (see \citealt{Quinteros2021}). We believe that the Résif architecture is
sufficiently solid to accommodate the changes through engagement of all the
partners. The experience from Résif shows that a distributed but strongly
organized information system is a good architecture for countries that face the
challenge of integrating and distributing data across many organizations.


%------------------------------------------------------------------------------
% Data and Resources
%------------------------------------------------------------------------------

\section*{Data and Resources}
\label{sec:data_and_resources}

All the software produced by Résif-SI is open source and available via
\url{https://gitlab.com/resif} and
\url{https://gricad-gitlab.univ-grenoble-alpes.fr/OSUG/RESIF}. The
International Federation of Digital Seismograph Networks (FDSN) is available at
\url{https://www.fdsn.org}. The Observatories and Research Facilities for
European Seismology (ORFEUS) is available at \url{https://www.orfeus-eu.org}.
The European Integrated Data Archive (EIDA) is available at
\url{https://www.orfeus-eu.org/data/eida/}. The Résif seismic portal is
available at \url{http://seismology.resif.fr}. A SeedLink server is accessible
at rtserve.resif.fr. A complete catalog of Résif webservices is available at
\url{https://ws.resif.fr}. Metadata from RAP network are available at
\url{https://ws.resif.fr/fdsnws/station/1/query?network=RA&level=network}. The
"RA" network DataCite XML is available at
\url{https://data.datacite.org/application/vnd.datacite.datacite+xml/10.15778/RESIF.RA}.
The DataCite search is available at
\url{https://search.datacite.org/works/10.15778/RESIF.RA}. The Résif
installation of YASMINE is available at \url{https://yasmine.resif.fr}. All
websites were last accessed in March 2021.


\section*{Conflicts of Interest}
The authors acknowledge that there are no conflicts of interest recorded.



%------------------------------------------------------------------------------
%	Acknowledgments
%------------------------------------------------------------------------------

\section*{Acknowledgments}

The authors first of all thank all the network operators and scientists who
entrust their datasets to Résif-SI, and who work with us to ensure the highest
possible level of data completeness, and data and metadata quality.

The authors thank for their active participation in Résif-DC:
\begin{itemize}
  %
  \item our colleagues from the Direction générale des services informatiques
  of the Université Grenoble Alpes (DGDSI)
  (\url{https://services-numeriques-personnels.univ-grenoble-alpes.fr}) and the
  Unité Mixte de Service GRICAD (\url{https://gricad.univ-grenoble-alpes.fr}):
  G.~Bruno, G.~Enderlé, V.~Louvet, A.~Monot;
  %
  \item the initiator of the SUMMER project: J.~Le Tanou, and  the technical
  committee of the SUMMER storage infrastructure at Grenoble Alpes University
  (\url{https://summer.univ-grenoble-alpes.fr});
  %
  \item our colleagues from the Centre de données OSUG (OSUG-DC,
  \url{https://www.osug.fr/missions/observation}): B.~Boutherin and
  R.~Cailletau;
  %
  \item our colleagues from the Centre de Calcul de l’IN2P3 (CC-IN2P3,
  \url{https://cc.in2p3.fr/nos-services/traitement-de-donnees}), and in
  particular J.-Y.~Nief.
  %
\end{itemize}

Résif-SI relies on a national and international collaborative framework and
feedback from multiple sources. The authors thank in particular:
\begin{itemize}
  %
  \item the European Technical Committee (ETC) of EIDA
  (\url{https://www.orfeus-eu.org/data/eida/structure});
  %
  \item Orfeus-DC (\url{https://www.orfeus-eu.org}) for its support in the
  early days of Résif-DC, and in particular T.~van Eck and R.~Sleeman;
  %
  \item the staff of IRIS-DS (\url{https://www.iris.edu/hq}) : T.~Ahern,
  J.~Carter, R.~Casey, C.~Trabant;
  %
  \item The Résif-SI review committee (June 2014), for their precise and
  fruitful analysis: F.~Genova (president), A.~Ferreira, G.~Guyot, J.-Y.~Nief,
  C.~Rondenay, C.~Surace.
\end{itemize}

The French seismological and geodetic network Résif-EPOS is a national facility
cited in the national Roadmap for Research Infrastructures published by the
Ministry of Higher Education, Research and Innovation. Résif-EPOS, which is
coordinated by CNRS, receives funding, personnel and other support from all the
Consortium members.  Résif-SI is also supported by the \textit{System of
Observation and Experimentation for Research and the Environment} (SOERE) and
by the Ministry of Ecological Transition. Résif-SI has benefited from the
Résif-CORE project (11-EQPX-0040), funded by the national French funding
program \textit{Investissements d'Avenir} and managed by the French National
Research Agency (ANR).

The authors thank the two anonymous reviewers whose suggestions helped improve
and clarify this manuscript.

This paper is dedicated to the memory of Jocelyn Guilbert, former director of
the ``Laboratoire de Détection et de Géophysique'' (Laboratory of Detection and
Geophysics) of Commissariat à l'énergie atomique et aux énergies alternatives -
Alternative Energies and Atomic Energy Commission (CEA), deceased on August 21,
2016. Jocelyn devoted a huge effort for the participation of CEA to Résif-SI
and to the construction of Résif in general.

All websites were last accessed in March 2021.

%------------------------------------------------------------------------------
%	REFERENCES
%------------------------------------------------------------------------------

\newpage
%\nolinenumbers

\bibliographystyle{bssa_usc}
\renewcommand{\refname}{References}
\bibliography{refs}



%------------------------------------------------------------------------------
%	FULL MAILING ADDRESS FOR EACH AUTHOR
%------------------------------------------------------------------------------
% \newpage
% \section*{Full mailing address for each author}
% %
% \textbf{Catherine Péquegnat} -- \email{catherine.pequegnat@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% %
% \textbf{Jonathan Schaeffer} -- \email{jonathan.schaeffer@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Irstea, CNRS, IRD, Météo France, OSUG, 38000 Grenoble, France\\
% %
% \textbf{Claudio Satriano} -- \email{satriano@ipgp.fr}\\
% \indent Université de Paris, Institut de physique du globe de Paris, CNRS, F-75005 Paris, France\\
% %
% \textbf{Helle Pedersen} -- \email{helle.pedersen@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% \indent Univ. Grenoble Alpes, Irstea, CNRS, IRD, Météo France, OSUG, 38000 Grenoble, France\\
% %
% \textbf{Jérôme Touvier} -- \email{jerome.touvier@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% %
% \textbf{Jean-Marie Saurel} -- \email{saurel@ipgp.fr}\\
% \indent Université de Paris, Institut de physique du globe de Paris, CNRS, F-75005 Paris, France\\
% %
% \textbf{Marie Calvet} -- \email{marie.calvet@irap.omp.eu}\\
% \indent Institut de Recherche en Astrophysique et Planétologie,\\
% \indent Université Toulouse III Paul Sabatier, CNRS, CNES, Toulouse, France\\
% %
% \textbf{Laurent Stehly} -- \email{laurent.stehly@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% \indent Univ. Grenoble Alpes, Irstea, CNRS, IRD, Météo France, OSUG, 38000 Grenoble, France\\
% %
% \textbf{Patrick Arnoul} -- \email{patrick.arnoul@cea.fr}\\
% \indent CEA/DAM/DIF, F-91297 Arpajon, France\\
% %
% \newpage \noindent
% %
% \textbf{Philipe Bollard} -- \email{philippe.bollard@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Irstea, CNRS, IRD, Météo France, OSUG, 38000 Grenoble, France\\
% %
% \textbf{Olivier Dewée} -- \email{olivier.dewee@cnrs.fr}\\
% \indent Division Technique de l'INSU, Meudon, France\\
% %
% \textbf{Fabien Engels} -- \email{fabien.engels@unistra.fr}\\
% \indent Université de Strasbourg, CNRS, EOST UMS 830, 67000, Strasbourg, France\\
% %
% \textbf{Marc Grunberg} -- \email{marc.grunberg@unistra.fr}\\
% \indent Université de Strasbourg, CNRS, EOST UMS 830, 67000, Strasbourg, France\\
% %
% % \textbf{Christophe Maron} -- \email{maron@geoazur.unice.fr}\\
% % \indent Université Côte d'Azur, CNRS, IRD, Observatoire de la Côte d'Azur, Géoazur, Valbonne, France\\
% %
% \textbf{Constanza Pardo} -- \email{pardo@ipgp.fr}\\
% \indent Université de Paris, Institut de physique du globe de Paris, CNRS, F-75005 Paris, France\\
% %
% \textbf{David Wolyniec} -- \email{david.wolyniec@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Irstea, CNRS, IRD, Météo France, OSUG, 38000 Grenoble, France\\
% %
% \textbf{Grégory Arneodo} -- \email{gregory.arneodo@ac-grenoble.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% %
% \textbf{Rima Bouazzouz} -- \email{bouazzouz.rima@hotmail.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% %
% \textbf{Olivier Geber} -- \email{olivier.geber@gmail.com}\\
% \indent Université de Paris, Institut de physique du globe de Paris, CNRS, F-75005 Paris, France\\
% %
% \textbf{Coralie Aubert} -- \email{coralie.aubert@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% %
% \textbf{Mickaël Langlais} -- \email{mickael.langlais@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% %
% \newpage \noindent
% %
% \textbf{Sandrine Roussel} -- \email{sandrine.roussel@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% %
% \textbf{Florent Brenguier} -- \email{florent.brenguier@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% \indent Univ. Grenoble Alpes, Irstea, CNRS, IRD, Météo France, OSUG, 38000 Grenoble, France\\
% %
% \textbf{Wayne C Crawford} -- \email{crawford@ipgp.fr}\\
% \indent Université de Paris, Institut de physique du globe de Paris, CNRS, F-75005 Paris, France\\
% %
% \textbf{Arnaud Lemarchand} -- \email{arnaudl@ipgp.fr}\\
% \indent Université de Paris, Institut de physique du globe de Paris, CNRS, F-75005 Paris, France\\
% %
% \textbf{Emeline Maufroy} -- \email{emeline.maufroy@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% \indent Univ. Grenoble Alpes, Irstea, CNRS, IRD, Météo France, OSUG, 38000 Grenoble, France\\
% %
% \textbf{Serge Olivier} -- \email{serge.olivier@cea.fr}\\
% \indent CEA/DAM/DIF, F-91297 Arpajon, France\\
% %
% \textbf{Diane Rivet} -- \email{diane.rivet@geoazur.unice.fr}\\
% \indent Université Côte d'Azur, CNRS, IRD, Observatoire de la Côte d'Azur, Géoazur, Valbonne, France\\
% %
% \textbf{Martin Vallée} -- \email{vallee@ipgp.fr}\\
% \indent Université de Paris, Institut de physique du globe de Paris, CNRS, F-75005 Paris, France\\
% %
% \textbf{Jérôme Vergne} -- \email{jerome.vergne@unistra.fr}\\
% \indent Université de Strasbourg, CNRS, IPGS UMR7516, 67000, Strasbourg, France\\
% %
% \textbf{Jérôme Chèze} -- \email{cheze@geoazur.unice.fr}\\
% \indent Université Côte d'Azur, CNRS, IRD, Observatoire de la Côte d'Azur, Géoazur, Valbonne, France\\
% %
% \newpage \noindent
% %
% \textbf{Éric Debayle} -- \email{eric.debayle@ens-lyon.fr}\\
% \indent Laboratoire de Géologie de Lyon : Terre, Planètes, Environnement, CNRS, UMR 5276,\\
% \indent École Normale Supérieure de Lyon, Université de Lyon, Université Claude Bernard Lyon 1,\\
% \indent Villeurbanne, France\\
% %
% \textbf{Bertrand Delouis} -- \email{delouis@geoazur.unice.fr}\\
% \indent Université Côte d'Azur, CNRS, IRD, Observatoire de la Côte d'Azur, Géoazur, Valbonne, France\\
% %
% \textbf{Philippe Gueguen} -- \email{philippe.gueguen@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% %
% % \textbf{Jocelyn Guilbert} -- \textit{Deceased on August 21, 2016}\\
% % \indent CEA/DAM/DIF, F-91297 Arpajon, France\\
% %
% \textbf{Sophie Lambotte} -- \email{sophie.lambotte@unistra.fr}\\
% \indent Université de Strasbourg, CNRS, IPGS UMR7516, 67000, Strasbourg, France\\
% %
% \textbf{Antoine Mocquet} -- \email{antoine.mocquet@univ-nantes.fr}\\
% \indent Laboratoire de Planétologie et de Géodynamique, Université de Nantes, Université d'Angers,\\
% \indent UMR‐CNRS 6112, Nantes, France\\
% %
% \textbf{Anne Paul} -- \email{anne.paul@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% %
% \textbf{Fabrice Peix} -- \email{fabrice.peix@geoazur.unice.fr}\\
% \indent Université Côte d'Azur, CNRS, IRD, Observatoire de la Côte d'Azur, Géoazur, Valbonne, France\\
% %
% \textbf{François Schindelé} -- \email{francois.schindele@cea.fr}\\
% \indent CEA/DAM/DIF, F-91297 Arpajon, France\\
% %
% \textbf{Nikolai Shapiro} -- \email{nikolai.shapiro@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% %
% \textbf{Éléonore Stutzmann} -- \email{stutz@ipgp.fr}\\
% \indent Université de Paris, Institut de physique du globe de Paris, CNRS, F-75005 Paris, France\\
% %
% \newpage \noindent
% %
% \textbf{Pierre Volcke} -- \email{pierre.volcke@isere.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% %
% \textbf{Andrea Walpersdorf} -- \email{andrea.walpersdorf@univ-grenoble-alpes.fr}\\
% \indent Univ. Grenoble Alpes, Univ. Savoie Mont Blanc, CNRS, IRD, Univ. Gustave Eiffel, ISTerre,\\
% \indent 38000 Grenoble, France\\
% \indent Univ. Grenoble Alpes, Irstea, CNRS, IRD, Météo France, OSUG, 38000 Grenoble, France\\


%------------------------------------------------------------------------------
%	LIST OF FIGURE CAPTIONS
%------------------------------------------------------------------------------
% \clearpage
% \renewcommand{\listfigurename}{List of Figure Captions}
% {%
% \let\oldnumberline\numberline%
% \renewcommand{\numberline}{\figurename~\oldnumberline}%
% \listoffigures%
% }


%------------------------------------------------------------------------------
%	Data access
%------------------------------------------------------------------------------
\clearpage
\setcounter{table}{0}
\renewcommand{\thetable}{A\arabic{table}}

{\LARGE\sffamily\bfseries \noindent Appendix}\vspace{-10pt}

\section*{Data access details and examples}
\label{sec:dataaccess}

In this appendix we present the different ways for end users to access Résif-SI
data and metadata.

\subsection*{Real-time: SeedLink}
\label{sec:realtimedata}

Résif-DC real-time data service \citep[SeedLink server,][]{seedlink} provides
access to data for the following permanent networks:  FR, RD, RA, MT, G, WI,
ND, CL, MQ, PF, GL. Data from temporary campaigns are usually not distributed
in real-time unless acquired in the context of a post-seismic campaign for
which Résif does not accept any data embargo time. The lifetime of the near
real-time data in the internal memory buffer is about 3 hours. By convention,
Résif-DC does not distribute any raw data for which the corresponding metadata
is not available through the FDSN webservice  \texttt{station}.

The SeedLink service is available at: \texttt{rtserve.resif.fr} (TCP port
18000).

\subsection*{Webservices}
\label{sec:ws}

Webservices are the base delivery mechanism for most Résif data and metadata.
Résif-DC exposes the four webservices standardized by the FDSN
\citep{fdsn_web_services}, an EIDA webservice common to all EIDA DCs, as well
as other more specific webservices \citep{resif_web_services}.

\subsubsection*{FDSN webservices}

The FDSN webservices are characterized by common and standardized interfaces
and thus constitute a homogeneous means of access to data, regardless of the
data center involved. Those services are all accessible with the prefix
\url{https://ws.resif.fr/}fdsnws/ (Table \ref{tab:fdsnws}).

\noindent Examples:
\begin{itemize}
  %
  \item All Résif stations, XML formatted:
  \url{https://ws.resif.fr/fdsnws/station/1/query?level=station}
  %
  \item One hour of data for network ZH (516 Mb):
  \url{https://ws.resif.fr/fdsnws/dataselect/1/query?network=ZH&starttime=2003-06-01T00:00:00&endtime=2003-06-01T01:00:00}
  %
  \item Available Data from network G, station SSB2, channel BHZ for a given
  time interval:
  \url{https://ws.resif.fr/fdsnws/availability/1/query?network=G&station=SSB&channel=BHZ&start=2010-02-23T00:00:00&end=2010-03-23T00:00:00}
  %
\end{itemize}

FDSN webservices can be accessed by standard tools and libraries, like ObsPy
\citep{ObsPy1,ObsPy2,ObsPy3}. As an example, we provide in the Appendix an
example Python script to retrieve data and metadata through the FDSN
webservices.

\begin{table}[t]
    \centering
    %
    \caption{The FDSN webservices provided by Résif-DC, with base URL
    \url{https://ws.resif.fr/}fdsnws/. Note that the \texttt{event} webservice
    is operated by RéNaSS (Réseau National de Surveillance Sismique -- National
    Seismic Monitoring Network).}
    %
    \label{tab:fdsnws}
    \begin{tabular}{lll}
        \toprule
        \textit{webservice/version}  & \textit{comment} & \textit{format} \\
        \midrule
        station/1       & metadata inventory    & StationXML or text \\
        dataselect/1    & time series data      & miniSEED \\
        availability/1  & data inventory        & text, json, geocsv \\
        event/1         & event parameters      & quakeML \\
        \bottomrule
    \end{tabular}
\end{table}


\subsubsection*{EIDA webservices}

Résif-DC exposes the EIDAWS \textit{wfcatalog} webservice \citep{WFCatalog}.
This webservice provides detailed metrics on waveform data (e.g., gaps,
overlaps, RMS, SEED data quality flag). The WFCatalog interface can be used for
data discovery as it supports range filtering on all available metrics. The
EIDAWS webservice is accessible with the prefix
\url{https://ws.resif.fr/}eidaws/ (Table \ref{tab:eidaws}).

\noindent Examples:
\begin{itemize}
  %
  \item waveform metadata documents with a daily granularity from network CL
  between 2018-01-01T00:00:00 and 2018-01-10T00:00:00, in JSON format:
  \url{https://ws.resif.fr/eidaws/wfcatalog/1/query?network=CL&include=sample&start=2018-01-01&end=2018-01-10}
  %
\end{itemize}

\begin{table}[t]
    \centering
    %
    \caption{The EIDAWS webservices provided by Résif-DC, with base URL
    \url{https://ws.resif.fr/}eidaws/.}
    %
    \label{tab:eidaws}
    \begin{tabular}{lll}
        \toprule
        \textit{webservice/version}  & \textit{comment} & \textit{format} \\
        \midrule
        wfcatalog/1     & data quality and metrics     & json  \\
        \bottomrule
    \end{tabular}
\end{table}


\subsubsection*{Other webservices}

Résif-DC has implemented additional webservices, whose functionalities have
been inspired by the services provided by IRIS Data Services
\citep{iris_web_services} or needed by the French users of Résif-SI. The former
are accessible with the prefix \url{https://ws.resif.fr/}resifws/ while the
latter are accessible with the prefix \url{https://ws.resif.fr/}resifsi/.
Tables \ref{tab:otherws} abd \ref{tab:resifsiws} show complete lists of these
two groups of services.

\noindent Examples:
\begin{itemize}
  %
  \item five minutes of data for station PYTO, channel HN2, with demean and
  response deconvolution, ASCII format:
  \url{https://ws.resif.fr/resifws/timeseries/1/query?net=RA&station=PYTO&cha=HN2&loc=02&demean&correct&start=2017-11-02T13:35:00&end=2017-11-02T13:40:00&format=ascii}
  %
  \item interactive plot of five minutes of data for station PYTO, channel HN2,
  location code 02, with demean and response deconvolution:
  \url{https://ws.resif.fr/resifws/timeseriesplot/1/query?net=RA&station=PYTO&cha=HN2&loc=02&demean&correct&start=2017-11-02T13:35:00&end=2017-11-02T13:40:00&iplot}
  %
  \item plot of instrument response for station CIEL, network FR, channel HHE,
  location code 00:
  \url{https://ws.resif.fr/resifws/evalresp/1/query?net=FR&sta=CIEL&loc=00&cha=HHE&time=2017-01-01T00:00:00&format=plot}
  %
  \item response (RESP format) for station RUSF, channel ??N, location code 06: \url{https://ws.resif.fr/resifws/resp/1/query?net=FR&sta=RUSF&loc=06&cha=??N&time=2017-01-01T00:00:00&nodata=404}
  %
  \item data availability for an experiment stored as PH5 archive:
  \url{http://ws.resif.fr/resifws/ph5-availability/1/extent?net=3C}
  %
  \item miniSEED data from a network stored as PH5 archive:
  \url{http://ws.resif.fr/resifws/ph5-dataselect/1/query?net=3C&starttime=2019-12-09T00:00:00&endtime=2019-12-09T00:00:10}
  %
  \item quantity of data stored for year 2020 by network FR:
  \url{http://ws.resif.fr/resifws/statistics/1/query?request=storage&net=FR&type=validated&year=2020}
  %
  \item quantity of data shipped via \texttt{dataselect} for network WI:
  \url{http://ws.resif.fr/resifws/statistics/1/query?request=send&media=dataselect&net=WI}
  %
\end{itemize}

\begin{table}[t]
    {\centering
    %
    \caption{The RESIFWS webservices provided by Résif-DC, with base URL
    \url{https://ws.resif.fr/}resifws/.}
    %
    \label{tab:otherws}
    \begin{tabular}{lll}
        \toprule
        \textit{webservice/version}  & \textit{comment} & \textit{format} \\
        \midrule
        timeseries/1 &	time series data & miniSEED, sac, text, png \\
        timeseriesplot/1 & time series data & jpeg or png  \\
        ph5-dataselect/1 &time series data & \makecell[tl]{miniSEED, sac,\\ geocsv (converted from PH5)} \\
        ph5-availability/1 & data inventory & text, json, geocsv \\
        evalresp/1 & \makecell[tl]{response information evaluated \\from Résif metadata} & text or png \\
        resp/1 	& channel response information & resp (text)  \\
        sacpz/1 & channel response information & sacpz (text) \\
        statistics/1 &data download statistics from Résif-DC & text  \\
        \bottomrule
    \end{tabular}
    } %end centering
    \small\textit{Note that ph5-dataselect and ph5-availability comply to the FDSN
    webservices specification \citep{fdsn_web_services} and might therefore be
    migrated in the future to a standard URL. For up-to-date information on
    Résif webservice URLs, please refer to \url{https://ws.resif.fr}.}
\end{table}

\begin{table}[t]
    \centering
    %
    \caption{The webservices provided by Résif-DC for data providers, with base
    URL \url{https://ws.resif.fr/}resifsi/.}
    %
    \label{tab:resifsiws}
    \begin{tabular}{lll}
        \toprule
        \textit{webservice/version}  & \textit{comment} & \textit{format} \\
        \midrule
        transaction/1 &
        \makecell[tl]{status of an data or metadata integration transaction;\\this service is for Résif data providers} &
        text, json \\
        orphanfile/1 &
        \makecell[tl]{Data (SDS files) without metadata in Résif archive;\\this service is for Résif data providers} &
        text \\
        assembleddata/1 &
        \makecell[tl]{historical and validated collections of the \\permanent accelerometric network (1995-2013)}  &
        tar.gz \\
        \bottomrule
    \end{tabular}
\end{table}

\subsection*{Specificity of OBS data and metadata}
\label{appendix:OBS}

Ocean Bottom Seismometer (OBS) data is archived both in time-corrected format
(quality label "Q") and in original, unmodified format (quality label "D"). The
following request (with no \texttt{quality} parameter specified), delivers both
corrected (Q label) and raw  data (D label):
%
\begin{lstlisting}[language=sh]
wget --http-user=USER --http-password=PASSWORD "https://ws.resif.fr/fdsnws/dataselect/1/queryauth?network=Z3&station=A4*&starttime=2017-08-01&endtime=2017-08-01T01:00:00" -O mydata.miniseed
\end{lstlisting}
%
By specifying the \texttt{quality=Q} parameter, only corrected data (Q label)
is retrieved:
%
\begin{lstlisting}[language=sh]
wget --http-user=USER --http-password=PASSWORD "https://ws.resif.fr/fdsnws/dataselect/1/queryauth?network=Z3&station=A4*&starttime=2017-08-01&endtime=2017-08-01T01:00:00&quality=Q" -O mydata.miniseed
\end{lstlisting}
%
With \texttt{quality=D}, only raw data (uncorrected) is delivered.\\

The StationXML metadata associated with the OBS are progressively refined with
information on time corrections, instrument positioning uncertainties, water
column depth and precise instrument description (sensor, data logger). A
typical example of OBS metadata at Résif-DC at the station level is the
following:

\begin{lstlisting}[language=XML]
<Station code="A401A" startDate="2017-06-22T01:59:00" endDate="2018-02-16T00:01:00" restrictedStatus="closed" resif:alternateNetworkCodes="Z32015">
  <Comment><Value>{"clock_correction": {
      "linear_drift": {
        "time_base": "Seascan MCXO, ~1e-8 nominal drift",
        "reference": "GPS", "start_sync_instrument": 0,
        "start_sync_reference": "2017-06-21T06:36:00Z",
        "end_sync_reference": "2018-02-16T01:44:00.146Z",
        "end_sync_instrument": "2018-02-16T01:44:00.00Z"
      }
  }}</Value></Comment>
  <Latitude minusError="4.5e-05" plusError="4.5e-05" unit="DEGREES">42.647</Latitude>
  <Longitude minusError="6.12e-05" plusError="6.12e-05" unit="DEGREES">5.0198</Longitude>
  <Elevation minusError="10" plusError="10" unit="METERS">-1619.0</Elevation>
  <Site><Name>N/W Mediterranean Sea</Name></Site>
  <Vault><Name>Sea floor</Name></Vault>
  <WaterLevel minusError="10" plusError="10" unit="METERS">1619.</WaterLevel>
</Station>
\end{lstlisting}

\end{document}
